WordPress.org

Support

Support » Plugins and Hacks » TheCartPress eCommerce Shopping Cart » [Plugin: TheCartPress, E-Commerce for WordPress Stores] Error enabling TheCartPress

[Plugin: TheCartPress, E-Commerce for WordPress Stores] Error enabling TheCartPress

  • Parse error: syntax error, unexpected ‘}’ in /srv/www/htdocs/wptest/wp-content/plugins/thecartpress/metaboxes/ProductCustomFieldsMetabox.class.php on line 157 Call Stack: 0.0006 658168 1. {main}() /srv/www/htdocs/wptest/wp-admin/plugins.php:0 0.6670 18596024 2. plugin_sandbox_scrape(???) /srv/www/htdocs/wptest/wp-admin/plugins.php:160 0.6733 18830952 3. include(‘/srv/www/htdocs/wptest/wp-content/plugins/thecartpress/TheCartPress.class.php’) /srv/www/htdocs/wptest/wp-admin/plugins.php:158 0.7517 19827796 4. TheCartPress->__construct() /srv/www/htdocs/wptest/wp-content/plugins/thecartpress/TheCartPress.class.php:517

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Inigo Gonzalez

    @inigoini

    Hi,

    I have downloaded the last version and I have installed it in a new WordPress environment (ver. 3.1 RC3) and I can’t repeat this error.

    Can you give me more info? Or, please, download again the plugin. It has been updated last day.

    Best regards

    Hi, i was trying to install the latest version of cartpress 1.0.3 in wordpress 3.0.4 i got error when tried to activate it.

    Plugin could not be activated because it triggered a fatal error.`
    Parse error: parse error in C:\wamp\www\wp-ecommerce\wp-content\plugins\thecartpress\metaboxes\ProductCustomFieldsMetabox.class.php on line 157`

    Also get the same error on version 1.0.2

    Waiting for your response. Thanks!

    In the code the developers used the two forms of tags to insert php:

    <?php

    and

    <?

    This second form of short tags may not be supported on the target server.

    So you must active it in your php.ini
    short_open_tag = On

    Or change in your codes all the <? for <?php

    It could be interesting if the developers of cartpress stop using <?

    Greetings from spain.

    It worked! I was also getting error to make a new product because my php curl was off.

    Thanks!

    Plugin Author Inigo Gonzalez

    @inigoini

    hi to all,

    We have changed all the tags <? for <?php (Only 7 times they appears).
    This change will be available in the 1.0.4 version of the e-Commerce software (next week).

    Thanks to ‘alvarito’, and thanks to the users of TheCartPress.

    Best regards

    That will be a good security update. As far as i know using <? in opening php tag can be a security issue 🙂

    Plugin Author Inigo Gonzalez

    @inigoini

    Thanks prionkor,

    If you have more problems about TheCartPress or you want to make any suggestion, you can visit TheCartPress.com.

    Thanks again

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Plugin: TheCartPress, E-Commerce for WordPress Stores] Error enabling TheCartPress’ is closed to new replies.
Skip to toolbar